create table dbo.ConnectionHistory
(
    ID int identity(1,1) not null,
    HistoryType nchar(1) not null,
    ConnectionID uniqueidentifier not null,
    Data nvarchar(max) null,
    SecurityGroup uniqueidentifier null,
    CustomerID uniqueidentifier null,
    ConnectionType int null,
    ConnectionSubType nvarchar(100) null,
    GroupName nvarchar(400) null,
    Name nvarchar(200) null,
    UnsafePassword nvarchar(200) null,
    DataSourceID uniqueidentifier null,
    MetaData nvarchar(max) null,
    CreationDate datetime null,
    Description nvarchar(max) null,
    ModifiedDate datetime not null,
    ModifiedUsername nvarchar(256) null,
    ModifiedLoggedUserName nvarchar(256) null
)